# Contributing to GitLab

- Branches prefixes:
  - Feature: feat/
  - Fix: fix/  
  - Documentation: doc/ 
  - Refactoring: refactor/

- Short well-defined branch name.

- Avoid multiple unrelated changes in one merge request.

- Add common Abbreviations to the merge request name.
  e.g. `DETECTOR` `CALIBRATION` >> `AGIPD` `DARK`

- Add doc strings to all functions, comments to complicated SW lines, and fixed numbers. It is recommended to use Google style

- WIP Merge requests are not yet finished by the author


- Non-WIP MR is finished, and it's adding requested features during the review should be avoided.
a) if a bug/change was fixed/done by the author during the review, one should point the reviewers to the new change.

- Add a description to your Merge request: Summary, Test, Reviewers, .....

- Connect the Merge request to any external documents and GitLab issues or MRs

-  Add more than one reviewer per a merge request.

- Merge requests can be merged only after receiving 2 approvals or LGTMs, and all discussions are resolved.

- Delete source branch during merging to master.

- Reviewers are free to add comments from importing libraries in alphabetical order to software design (A suggestion is very welcomed)

- Notebooks should be added to branch/master without the cell's output.