import os
import sys

# path into which temporary files from each run are placed
temp_path = os.path.abspath("temp/")

# Path to use for calling Python. By default, the Python xfel-calibrate is run in.
python_path = sys.executable

# Path to store reports in
default_report_path = "{}/calibration_reports/".format(os.getcwd())

# Also try to output the report to an out_folder defined by the notebook
try_report_to_output = True

# logo file for calibration report (located in cal_tools/cal_tools)
logo_path = "xfel.pdf"

# the command to run this concurrently. It is prepended to the actual call
sprof = os.environ.get("XFELCALSLURM", "exfel")  # TODO: https://git.xfel.eu/gitlab/calibration/planning/issues/3
launcher_command = "sbatch -t 24:00:00 --requeue --output {temp_path}/slurm-%j.out --parsable"
free_nodes_cmd = "sinfo -p exfel -t idle -N --noheader | wc -l"
preempt_nodes_cmd = "squeue -p all,grid --noheader | grep max-exfl | egrep -v 'max-exfl18[3-8]|max-exfl100|max-exflg' | wc -l"

# Time limit for the finalize job (creates PDF report & moves files)
finalize_time_limit = "30:00"
